git.delta.rocks / unique-network / refs/commits / a0ead211d131

difftreelog

fix exit on script error

Igor Kozyrev2022-06-21parent: #150e9b0.patch.diff
in: master

3 files changed

modifiedtests/update_apps.shdiffbeforeafterboth
--- a/tests/update_apps.sh
+++ b/tests/update_apps.sh
@@ -1,5 +1,7 @@
 #!/usr/bin/env sh
 
+set -eux
+
 ./update_types.sh
 
 if [ ! -d polkadot-apps ]; then
@@ -8,4 +10,4 @@
 
 pushd polkadot-apps
 yarn link ../unique-types-js
-popd
\ No newline at end of file
+popd
modifiedtests/update_apps_start.shdiffbeforeafterboth
1#!/usr/bin/env sh1#!/usr/bin/env sh
2
3set -eux
24
3./update_apps.sh5./update_apps.sh
46
modifiedtests/update_types.shdiffbeforeafterboth
--- a/tests/update_types.sh
+++ b/tests/update_types.sh
@@ -1,5 +1,7 @@
 #!/usr/bin/env sh
 
+set -eux
+
 yarn polkadot-types
 
 if [ ! -d unique-types-js ]; then